BPM Will now read global source.sh variables

This commit is contained in:
CapCreeperGR 2024-06-01 20:37:21 +03:00
parent 6af297efa6
commit e72aa2320d
3 changed files with 4 additions and 4 deletions

View File

@ -611,10 +611,13 @@ func compilePackage(pkgInfo *PackageInfo, filename, rootDir string, binaryPkgFro
runScript := ` runScript := `
cd "$BPM_WORKDIR" cd "$BPM_WORKDIR"
set -a
source "source.sh" source "source.sh"
set +a
if [[ $(type -t prepare) == function ]]; then if [[ $(type -t prepare) == function ]]; then
echo "Running prepare() function..." echo "Running prepare() function..."
export -f prepare
bash -e -c prepare bash -e -c prepare
if [ $? -ne 0 ]; then if [ $? -ne 0 ]; then
echo "Failed to run prepare() function in source.sh" echo "Failed to run prepare() function in source.sh"
@ -623,7 +626,6 @@ fi
cd "$BPM_SOURCE" cd "$BPM_SOURCE"
if [[ $(type -t build) == function ]]; then if [[ $(type -t build) == function ]]; then
echo "Running build() function..." echo "Running build() function..."
export -f build
bash -e -c build bash -e -c build
if [ $? -ne 0 ]; then if [ $? -ne 0 ]; then
echo "Failed to run build() function in source.sh" echo "Failed to run build() function in source.sh"
@ -632,7 +634,6 @@ fi
cd "$BPM_SOURCE" cd "$BPM_SOURCE"
if [[ $(type -t check) == function ]]; then if [[ $(type -t check) == function ]]; then
echo "Running check() function..." echo "Running check() function..."
export -f check
bash -e -c check bash -e -c check
if [ $? -ne 0 ]; then if [ $? -ne 0 ]; then
echo "Failed to run check() function in source.sh" echo "Failed to run check() function in source.sh"
@ -643,7 +644,6 @@ if ! [[ $(type -t package) == function ]]; then
exit 1 exit 1
fi fi
echo "Running package() function..." echo "Running package() function..."
export -f package
bash -e -c package bash -e -c package
if [ $? -ne 0 ]; then if [ $? -ne 0 ]; then
echo "Failed to run package() function in source.sh" echo "Failed to run package() function in source.sh"

Binary file not shown.